curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/infer' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"inputs": [
"string"
]
}'
{
"abstained": true,
"abstention_reason": "string",
"confidence": 7.5,
"matched_rule": "string",
"model_coverage": 1.5,
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"output": "string",
"source": "string",
"symbol_count": 1
}
Infer machine handler
Required scope: models:manage
POST
/
api
/
v1
/
machines
/
infer
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/infer' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"inputs": [
"string"
]
}'
{
"abstained": true,
"abstention_reason": "string",
"confidence": 7.5,
"matched_rule": "string",
"model_coverage": 1.5,
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"output": "string",
"source": "string",
"symbol_count": 1
}
Required scope:
models:manage
Request body
InferRequest
Response
InferResponse
Status codes
| Code | Meaning |
|---|---|
200 | Inference result |
400 | No inputs provided |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Machine not provisioned |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/machines/infer' \
--header "X-API-Key: $STATESET_NSR_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"inputs": [
"string"
]
}'
{
"abstained": true,
"abstention_reason": "string",
"confidence": 7.5,
"matched_rule": "string",
"model_coverage": 1.5,
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"output": "string",
"source": "string",
"symbol_count": 1
}
Last modified on August 31, 2026